function phi_g = gbs_phi(YSTARR, SIGMATT, R0, t0)


YSTAR = YSTARR(2:end,1)./sqrt(SIGMATT(2:end));

XSTAR = YSTARR(1:end-1,1)./sqrt(SIGMATT(2:end));

V = inv(R0 + XSTAR'*XSTAR);
PHI = V*(R0*t0 + XSTAR'*YSTAR);
C = chol(V);


phi_g = PHI + C'*randn(1,1);



