% Compute the sample log-likelihood function

function [y, lik_mat, pr_st0, pr_stl0, P, F, impact] = ms_lik_fc(param, opts)	

% 
%xparam = opts.param;

% If minimization, transform the unconstrained into a constrained minimization
%xparam(opts.posest)=param;

% Justiniano, Primiceri and Tambalotti (2011, RED)  with MS
[F,CC,impact,eu,SDX,P,H,NY,NX,NETA] = eval(['modptj',num2str(param(end)),'v(param)']);

% Kim and Nelson (1999) filter
[y, lik_mat, pr_st0, pr_stl0] = kn_filter(opts.data, F, impact, SDX, P, H, CC, param(end));


