% Generate transition probabilities conditonal on St
%
% Stephane Lhuissier, 2015
 
function Q = gbs_q(pmean,pstdd,st)
 
m = 2;
a = zeros(m,1);
b = zeros(m,1);
Q = zeros(m,m);
 
a = (1-pmean)*pmean^2/pstdd^2-pmean;
b = a*(1/pmean-1);
 
change_nbr = switchg(st,m);
 
Q(1,1) = betarnd(change_nbr(1,1)+a,change_nbr(1,2)+b);
Q(2,2) = betarnd(change_nbr(2,2)+a,change_nbr(2,1)+b);
 
Q(2,1) = 1-Q(1,1);
Q(1,2) = 1-Q(2,2);
