function sig = gbs_sig(y,x,s,phi,s_invgam,nu_invgam)
%
% by Stphane Lhuissier, 2018

U = y-x*phi;

U_R1 = U(s==1);
U_R2 = U(s==2);

T_R1 = size(U_R1,1);
T_R2 = size(U_R2,1);

s_R1  = s_invgam + U_R1'*U_R1;
nu_R1 = nu_invgam + T_R1; 

s_R2  = s_invgam + U_R2'*U_R2;
nu_R2 = nu_invgam + T_R2; 

sig    = zeros(2,1);

control = 0;
while control == 0
    sig(1) = gen_ig1_dyn(s_R1,nu_R1);
    sig(2) = gen_ig1_dyn(s_R2,nu_R2);
    if sig(1)>sig(2)
        control = 1;
    end
end