function [beta_ll P_ll] = collapsing_terms(P_tt,JointProb,beta_tt,Prob_tt,nstates,nvar)

[u v]			  = size(beta_tt);
JointProb_beta_tt = zeros(nvar,nstates*nstates);
beta_ll 		  = zeros(nvar,nstates);
P_ll  			  = zeros(nvar,nvar,nstates);
block			  = zeros(nvar,nvar,nstates*nstates);
cc			      = reshape(1:nstates*nstates, nstates, nstates);


%Collapsing terms E[beta_tt|S_t] --------------------------------
for j=1:nstates*nstates 

	JointProb_beta_tt(:,j) = JointProb(j,1)*beta_tt(:,j);	
	
end

beta_ll = reshape(sum(reshape(JointProb_beta_tt,nvar*nstates,nstates),2),nvar,nstates)./Prob_tt(:,ones(nvar,1))';
beta_ll = reshape(beta_ll,nvar,nstates);


%Collapsing terms P_t|t,S_t -------------------------------------
beta_tt_ll = reshape(repmat(beta_ll(:),nstates,1) - beta_tt(:),nvar,nstates*nstates);

for h=1:nstates*nstates

block(:,:,h) = JointProb(h,1)*(P_tt(:,:,h) + beta_tt_ll(:,h)*beta_tt_ll(:,h)');

end

for g=1:nstates

P_ll(:,:,g) = sum(block(:,:,cc(g,:)),3)./Prob_tt(g,1);

end


