function xi = gbs_mu(y,x,s,sig,t0_,R0_)

T = size(y,1);

Y1 = zeros(T,1);
X1 = zeros(T,2);
for i=1:T
    Y1(i,1) = y(i,1)/sig(s(i));
    X1(i,:) = x(i,:)./sig(s(i));
end

V1 = inv( inv(R0_) + X1'*X1 );
n1 = ( inv(R0_) + X1'*X1 )\( inv(R0_)*t0_ + X1'*Y1 );
    
xi = mvnrnd(n1,V1)';
