function  [y, cost_flag] = min_post(pzero, opts)

cost_flag = 1;

pzero = trans(pzero, opts.trspec(opts.posest,:));

xparam=opts.sp;
xparam(opts.posest)=pzero;
xparam=opts.mask.*opts.fix+opts.maskinv.*xparam;

logLikelihood = feval(opts.name_lik,xparam, opts.data(:,1), opts.data(:,2:end));
logPrior      = priodens(xparam(opts.posest), opts.pmean(opts.posest), opts.pstdd(opts.posest), opts.pshape(opts.posest));
y = real(-logLikelihood-logPrior);
